Subject: Re: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Marie Meier" <[email-masked]>
Date: Wed, 30 Mar 2011 13:34:14 -0400

Please call into our customer service line with your order information and they should be able to help you resolve any issues and answer any question you may have about the order.
Thank you,
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: LLPS 
  To: [email-masked] 
  Sent: Wednesday, March 30, 2011 1:11 PM
  Subject: LLPS Contact Us Submission

  Name: Marie Meier

  E-mail Address: [email-masked]

  Telephone: 314-771-7272

  Message: I received an order that I did not place. I want to return it. Do I
  need a return authoration?

  Request generated on March 30th, 2011 at 1:11 PM EST from the IP address 68.188.6.242